com.aliyun.player

## Interface AliListPlayer

- All Superinterfaces:
    AliPlayer

      public interface AliListPlayer
      extends AliPlayer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.aliyun.player.AliPlayer

      `AliPlayer.OnVerifyTimeExpireCallback, AliPlayer.Status`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVid(java.lang.String videoId, java.lang.String uid)` Add the VID of a video to be played.
    `boolean` | `moveTo(java.lang.String uid, PlayAuthInfo info)` Play a specified video.
    `boolean` | `moveTo(java.lang.String uid, StsInfo info)` Play a specified video.
    `boolean` | `moveToNext(PlayAuthInfo info)` Play the next video.
    `boolean` | `moveToNext(StsInfo info)` Play the next video.
    `boolean` | `moveToNextWithPrerendered(PlayAuthInfo info)` Play the next video.
    `boolean` | `moveToNextWithPrerendered(StsInfo info)` Play the next video.
    `boolean` | `moveToPrev(PlayAuthInfo info)` Play the previous video.
    `boolean` | `moveToPrev(StsInfo info)` Play the previous video.
    `void` | `setDefinition(java.lang.String definition)` Specify a definition for playback.

    - ### Methods inherited from interface com.aliyun.player.AliPlayer

      `invokeComponent, setDataSource, setDataSource, setDataSource, setDataSource, setOnVerifyTimeExpireCallback, updateStsInfo, updateVidAuth`

- - ### Method Detail

    - #### setDefinition

          void setDefinition(java.lang.String definition)

      Specify a definition for playback. If you do not set this parameter or leave it blank, the first definition of the video is selected.
      Parameters:
        `definition` - The value of the definition.

    - #### addVid

          void addVid(java.lang.String videoId,
                      java.lang.String uid)

      Add the VID of a video to be played.
      Parameters:
        `videoId` - The video VID.
        `uid` - The video UID. A UID is used to uniquely identify a video. If two videos have the same UID, then the videos are considered the same.

    - #### moveToNext

          boolean moveToNext(StsInfo info)

      Play the next video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `info` - Security Token Service (STS) information. Pass the STS information to renew the STS token.
      Returns:
        Indicate whether the next video is played.

    - #### moveToNextWithPrerendered

          boolean moveToNextWithPrerendered(StsInfo info)

      Play the next video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `info` - Security Token Service (STS) information. Pass the STS information to renew the STS token.
      Returns:
        Indicate whether the next video is played.

    - #### moveToPrev

          boolean moveToPrev(StsInfo info)

      Play the previous video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `info` - STS information. Pass the STS information to renew the STS token.
      Returns:
        Indicate whether the previous video is played.

    - #### moveTo

          boolean moveTo(java.lang.String uid,
                         StsInfo info)

      Play a specified video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `uid` - The video UID. A UID is used to uniquely identify a video. If two videos have the same UID, then the videos are considered the same.
        `info` - STS information. Pass the STS information to renew the STS token.
      Returns:
        Indicate whether the specified video is played.

    - #### moveToNext

          boolean moveToNext(PlayAuthInfo info)

      Play the next video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `info` - Security Token Service (playauth) information. Pass the playauth information to renew the playauth.
      Returns:
        Indicate whether the next video is played.

    - #### moveToNextWithPrerendered

          boolean moveToNextWithPrerendered(PlayAuthInfo info)

      Play the next video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `info` - Security Token Service (playauth) information. Pass the playauth information to renew the playauth.
      Returns:
        Indicate whether the next video is played.

    - #### moveToPrev

          boolean moveToPrev(PlayAuthInfo info)

      Play the previous video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `info` - playauth information. Pass the playauth information to renew the playauth.
      Returns:
        Indicate whether the previous video is played.

    - #### moveTo

          boolean moveTo(java.lang.String uid,
                         PlayAuthInfo info)

      Play a specified video. Note: Only videos specified by VID support this parameter.
      Parameters:
        `uid` - The video UID. A UID is used to uniquely identify a video. If two videos have the same UID, then the videos are considered the same.
        `info` - playauth information. Pass the playauth information to renew the playauth token.
      Returns:
        Indicate whether the specified video is played.